# Data
# caltech101 / oxford_flowers / dtd / oxford_pets 
# fgvc_aircraft / stanford_cars / sun397 / eurosat

GPU=$1
TYPE=$2
ARCH=$3
NOISE=$4
FORCE_TO_RUN=$5
DATASET=$6
NOISE_TYPE=$7


if [ "$ARCH" = "VIT" ]
then
    bash run_vit.sh $GPU $DATASET $TYPE $FORCE_TO_RUN $NOISE $NOISE_TYPE
elif [ "$ARCH" = "RES" ]
then
    bash run_resnet.sh $GPU $DATASET $TYPE $FORCE_TO_RUN $NOISE $NOISE_TYPE
fi
